package jwsunleashed.trading.ejb;

import java.rmi.*;
import javax.ejb.*;
import java.util.*;

public interface TradeHome extends EJBHome
{
    public Trade create() throws RemoteException, CreateException;

    public Trade findByPrimaryKey(Integer traderID)
        throws RemoteException, FinderException;
    
    public Collection findByBuyerID(int traderID)
        throws RemoteException, FinderException;
    
    public Collection findBySellerID(int traderID)
        throws RemoteException, FinderException;
    
    public Collection findByTraderID(int traderID)
        throws RemoteException, FinderException;
    
    public Trade findByPutID(int putID)
        throws RemoteException, FinderException;
    
    public Trade findByBuyID(int buyID)
        throws RemoteException, FinderException;
}
